From 8471f0efaa5fc14a8cea2a04771723c58884ae52 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Mar 08 2017 13:44:24 +0000
Subject: [PATCH 785/1001] Contact: return a specific error on timeouts


---

diff --git a/hubs/widgets/contact/__init__.py b/hubs/widgets/contact/__init__.py
index 90a9e0c..37b4b1c 100644
--- a/hubs/widgets/contact/__init__.py
+++ b/hubs/widgets/contact/__init__.py
@@ -96,7 +96,10 @@ class PlusPlusStatus(WidgetView):
         if not receiver:
             return 'User does not exist', 404
         pp_url = _get_pp_url(username)
-        req = requests.get(pp_url, timeout=5)
+        try:
+            req = requests.get(pp_url, timeout=5)
+        except requests.Timeout:
+            return 'The request to {url} timed out'.format(url=pp_url), 504
         if req.status_code == 200:
             return flask.jsonify(req.json())
         else:
@@ -144,8 +147,11 @@ class PlusPlusUpdate(WidgetView):
         pp_token = flask.current_app.config['PLUS_PLUS_TOKEN']
         auth_header = {'Authorization': 'token {}'.format(pp_token)}
         data = {'sender': sender.username, update: update_bool_val}
-        req = requests.post(
-            url=pp_url, headers=auth_header, data=data, timeout=5)
+        try:
+            req = requests.post(
+                url=pp_url, headers=auth_header, data=data, timeout=5)
+        except requests.Timeout:
+            return 'The request to {url} timed out'.format(url=pp_url), 504
         if req.status_code == 200:
             return flask.jsonify(req.json())
         else:

